body {
    background: var(--background);
}

.page_container_all {
	/* background: var(--background); */
}

.wishlist-nav {
	margin-top: 32px;
	padding: 8px 16px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-direction: row;
}

.wishlist-nav .back-btn {
	background: var(--menu);
}

.wishlist-page .search-sticky {
    display: none;
}

.wishlist-page .wishlist-nav {
    display: none;
}

.page-name {
	height: 40px;
}

.page-title {
	gap: 6px;
}

.wishlist-content {
    display: flex
;
    flex-direction: column;
    gap: 12px;
}

.back-btn {
    transition: var(--transition);
    z-index: 1;
    background: var(--wishlistBg);
    height: 40px;
    width: 40px;
    border-radius: 12px;
    display: block;
    border: 0.5px solid var(--White);
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
}

.back-btn svg {
    height: 24px;
    width: 24px;
    stroke: var(--textMain);
    color: var(--textMain);
}

.page-title {
	color: var(--textMain);
	font-size: var(--font_title);
	font-weight: var(--fontweight_heavy);
	line-height: 29px;
	text-align: center;
}

.patterns-section, .boards-section {
	display: flex;
	flex-direction: column;
}

.sectiont-title svg {
	width: 20px;
	height: 20px;
}

.view-all {
	color: var(--Purple);
	font-weight: var(--fontweight_heavy);
    cursor: pointer;
}

.view-all:hover {
    text-decoration: underline;
}

/* SHOPS */
.all-makers-list,
.all-shops-list {
	display: flex;
	flex-direction: column;
	gap: 20px;
}
.fav-shop {
    display: flex;
    flex-direction: row;
    gap: 16px;
    min-width: 358px;
    align-items: center;
    justify-content: space-between;
}

.designer-section {
	display: flex;
	gap: 16px;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
}

.designer-image {
	height: 56px;
	width: 56px;
}

.designer-image #logo_img {
    width: 56px;
    height: 56px;
    object-fit:cover;
    margin:auto;
    border-radius:50%;
    transition: var(--transition);
}

.designer-info {
	display: flex;
	flex-direction: column;
	gap: 2px;
	width: 166px;
}

.designer-user {
	white-space: nowrap;
	display: block;
	word-wrap:break-word;
	text-overflow: ellipsis;
	overflow: hidden;
	font-size: var(--font_large);
	color: var(--textMain);
	font-weight: var(--fontweight_heavy);
	cursor: pointer;
}

.designer-user:hover {
	text-decoration: underline;
}

.designer-name {
	color: var(--textSecondary);
	line-height: 17px;
	display: flex;
	gap: 2px;
	flex-direction: row;
}

.designer-store {
	text-decoration: underline;
	white-space: nowrap;
	display: block;
	cursor: pointer;
	word-wrap: break-word;
	overflow: hidden;
	text-overflow: ellipsis;
	width: 92px;
}

.fav-shop sl-button::part(base) {
	background: var(--background);
	color: var(--textSecondary);
	border: none;
	height: 36px;
	box-sizing: border-box;
	padding: 10px 20px;
	line-height: 0;
	display: flex;
	align-items: center;
	font-size: var(--font_main);
	max-height: 36px;
	width: 104px;
}

.fav-shop sl-button::part(label) {
	padding: 0;
	line-height: 20px;
} 

.fav-shop sl-button.follow::part(base) {
    background: var(--Purple);
    color: var(--White-500);
}

.empty-section {
	text-align: center;
	font-size: var(--font_large);
	max-width: 240px;
	display: flex;
	flex-direction: column;
	align-items: center;
	font-weight: var(--fontweight_main);
	gap: 24px;
    margin: auto;
}

.empty-text-h1 {
	font-weight: var(--fontweight_heavy);
	font-size: var(--font_title);
	color: var(--textMain);
}

.empty-text-p {
	font-size: var(--font_main);
	color: var(--textSecondary);
}

.empty-board-btn {
	width: 240px;
}

sl-button.empty-btn::part(base) {
	background: var(--Purple);
	color: var(--White-500) !important;
	border-color: var(--Purple);
	height: 44px;
	display: flex;
	align-items: center;
	width: 240px;
}


@media screen and (min-width: 1280px) {
	sl-card.section::part(body) {
		padding: 20px;
	}

	.all-makers-list, .all-shops-list {
	    display: grid;
	    gap: 48px;
	    grid-template-columns: repeat(2, 1fr);
	}

	.all-makers-list.empty, .all-shops-list.empty {
	   display: flex;
	}

	.fav-shop {
		 /* Each item takes 50% width minus gap */
		 width: 100%;
	}

	.designer-info {
		width: fit-content;
	}

	.designer-store {
		width: fit-content;
	}
}